<?php
define('_IN_JOHNCMS', 1);

$headmod = 'bank';
$textl = 'Банк';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

echo "<div class='phdr'>Банк</div>";

if ($user_id) {

    $moneys10 = "10"; //Минимальная сумма вклада
    $oldtime = time() + 43200;

    function formattime($var)
    {

        $file_time = round($var - time());
        if ($file_time > 0) {
            $out = ceil($file_time / (24 * 60 * 60)) - 1;
            $c = substr($out, -1);
            $w = substr('0' . $out, -2, 1);
            if (($c == 1) && ($w != 1)) {
                $o = 'день';
            } else
                if (($c > 1) && ($c < 5) && ($w != 1)) {
                    $o = 'дня';
                } else {
                    $o = 'дней';
                }
                if ($o > 0)
                    $out = $o . ' ' . gmdate('H час. i мин. s сек', round($file_time));
                else
                    $out = gmdate('H час. i мин. s сек', round($file_time));
        }
        return $out;
    }

    $ms = mysql_fetch_array(mysql_query("SELECT * 
		FROM `game` 
		WHERE type='bank' and users='" . $user_id . "' LIMIT 1;"));

    switch ($act) {
            //------------------------------ Операция ------------------------------------//
        case "operacia":
            $gold = abs(intval($_POST['gold']));
            $oper = abs(intval($_POST['oper']));

            if ($gold < $moneys10) {
                echo '<div class="rmenu">Минимальная сумма вклада не может быть меньше ' . $moneys10 .
                    '!</div>';
                echo '<div class="menu"><a href="?">Вернуться</a><br />';
                echo '<a href="../?">В раздел</a></div>';
                require_once ("../../incfiles/end.php");
                exit;

            }

            if ($gold > 5000000) {
                echo '<div class="rmenu">Максимальная сумма вклада не может быть больше 5000000!</div>';
                echo '<div class="menu"><a href="?">Вернуться</a><br />';
                echo '<a href="../?">В раздел</a></div>';
                require_once ("../../incfiles/end.php");
                exit;
            }

            switch ($oper) {
                case "1":
                    //----------------------- Снятие с счета ----------------------------//
                    echo '<b>Снятие с счета</b><br/>';

                    if (!$ms['sum']) {
                        echo '<div class="rmenu">Ваш счет еще не открыт</div>';
                    } else {

                        if ($ms['sum'] > 0) {
                            if ($gold <= ($ms['sum'] - $moneys10)) {

                                //------------------------------ Запись в профиль ----------------------------//
                                $newgold = ceil($ms['sum'] - $gold);

                                mysql_query("UPDATE `game` 
						SET `time`='" . $oldtime . "' ,
						`sum`='" . $newgold . "'
						WHERE type='bank' and users='" . $user_id . "' LIMIT 1;");

                                $file_stat = file_get_contents("temp/stat.tmp");
                                $data_stat = explode(":||:", $file_stat);

                                $data_stat[1] = ceil($data_stat[1] - $gold);

                                for ($e = 0; $e < 2; $e++) {
                                    $out_stat .= $data_stat[$e] . ':||:';
                                }

                                $fp_send = fopen("temp/stat.tmp", "a+");
                                flock($fp_send, LOCK_EX);
                                ftruncate($fp_send, 0);
                                fputs($fp_send, $out_stat);
                                flock($fp_send, LOCK_UN);
                                fclose($fp_send);
                                chmod("temp/stat.tmp", 0666);

                                $balans__с = ceil($datauser['balans'] + $gold);

                                mysql_query("update `users` set balans='" . $balans__с . "' where id='" . $user_id .
                                    "' LIMIT 1;");

                                echo 'Сумма в размере <b>' . $gold . '</b> успешно списана с вашего счета<br/>';
                                echo 'Остаток счета: <b>' . $newgold . '</b><br/>';
                                echo 'Денег на руках: <b>' . $balans__с . '</b>';

                            } else {
                                echo '<div class="rmenu">Вы не можете столько снять, т.к. в банке должно остаться хотя бы ' .
                                    $moneys10 . '</div>';
                            }
                        } else {
                            echo '<div class="rmenu">Вы не можете снять деньги, т.к. на вашем счете пусто</div>';
                        }
                    }

                    break;
                case "2":
                    //-------------------------- Пополнение счета --------------------------------//

                    echo '<b>Пополнение счета</b><br/>';

                    if ($gold <= $datauser['balans']) {

                        //------------------------------ Запись в профиль ----------------------------//
                        $file_stat = file_get_contents("temp/stat.tmp");
                        $data_stat = explode(":||:", $file_stat);

                        if (!$ms['id']) {

                            mysql_query("INSERT INTO `game`
							SET `time`='" . $oldtime . "' ,
							`sum`='" . $gold . "',
							`type`='bank',
							`users`='" . $user_id . "';");

                            $newgold = $gold;
                            $data_stat[0] = ceil($data_stat[0] + 1);
                            $data_stat[1] = ceil($data_stat[1] + $gold);

                        } else {

                            $newgold = round($ms['sum'] + $gold);

                            mysql_query("UPDATE `game` SET 
						`time`='" . $oldtime . "' ,
						`sum`='" . $newgold . "'
						WHERE type='bank' and users='" . $user_id . "' LIMIT 1;");

                            $data_stat[1] = ceil($data_stat[1] + $gold);
                        }

                        for ($e = 0; $e < 2; $e++) {
                            $out_stat .= $data_stat[$e] . ':||:';
                        }

                        $fp_send = fopen("temp/stat.tmp", "a+");
                        flock($fp_send, LOCK_EX);
                        ftruncate($fp_send, 0);
                        fputs($fp_send, $out_stat);
                        flock($fp_send, LOCK_UN);
                        fclose($fp_send);
                        chmod("temp/stat.tmp", 0666);

                        $balans__с = ceil($datauser['balans'] - $gold);

                        mysql_query("update `users` set balans='" . $balans__с . "' where id='" . $user_id .
                            "' LIMIT 1;");

                        echo 'Сумма в размере <b>' . $gold . '</b> успешно зачислена на ваш счет<br/>';
                        echo 'Текущий счет в банке: <b>' . $newgold . '</b><br/>';
                        echo 'Количество денег на руках: <b>' . $balans__с . '</b><br/>';
                        echo 'Получить проценты с вклада вы сможете не ранее чем через 12 часов';

                    } else {
                        echo '<div class="rmenu">Недостаточное количество денег, у вас нет данной суммы на руках</div>';
                    }
                    break;

                default:
                    header("Location: index.php");
            }
            echo '<div class="menu"><a href="?">Вернуться</a><br />';
            echo '<a href="../?">В раздел</a></div>';
            break;
        default:

            echo 'У вас в наличии: ' . $datauser['balans'] . '<br/>';

            $file_stat = file_get_contents("temp/stat.tmp");
            $data_stat = explode(":||:", $file_stat);

            if (!$ms['id']) {

                echo 'Вы новый клиент нашего банка. Мы рады, что вы доверяете свои деньги нам<br/>
Сейчас ваш счет не открыт, достаточно вложить ' . $moneys10 .
                    ', чтобы получать проценты с вклада<br/>';

                //Если нет денег
                if ($datauser['balans'] < $moneys10) {
                    echo '<div class="rmenu">Ваш баланс не позволяет вам сделать вклад, его необходимо повысить!<br />Викторина в чате отличное место для этого</div>';
                    echo '<a href="../?">В раздел</a>';

                    require_once ("../../incfiles/end.php");
                    exit;
                }
            } else {
                echo 'У вас в банке: ' . $ms['sum'];
                if ($ms['sum'] > 5000000) {
                    echo '<br/><b>Внимание у вас слишком большой вклад!</b>';
                }

                if ($ms['time'] >= time()) {
                    echo '<br/>До получения процентов осталось: <b>' . formattime($ms['time']) .
                        '</b>';

                } elseif ($ms['sum'] > 0) {
                    echo '<br/><b>Продление счета успешно завершено!</b>';

                    //-------------------- Выплата процентов ---------------------//
                    if ($ms['sum'] != "0") {

                        $stavka = 12;
                        if ($ms['sum'] >= 100000) {
                            $stavka = 6;
                        }
                        if ($ms['sum'] >= 250000) {
                            $stavka = 3;
                        }
                        if ($ms['sum'] >= 500000) {
                            $stavka = 2;
                        }
                        if ($ms['sum'] >= 1000000) {
                            $stavka = 1;
                        }
                        if ($ms['sum'] <= 5000000) {

                            $newgold3 = round((($ms['sum'] * $stavka) / 100) + $ms['sum']);
                        } else {
                            $newgold3 = $ms['sum'];
                        }

                        $pro_gold = ceil($newgold3 - $ms['sum']);

                        mysql_query("UPDATE `game` 
						SET `time`='" . $oldtime . "' ,
						`sum`='" . $newgold3 . "'
						WHERE type='bank' and users='" . $user_id . "' LIMIT 1;");

                        $stat_gold = ceil($data_stat[1] + $pro_gold);
                        $data_stat[1] = $stat_gold;

                        for ($e = 0; $e < 2; $e++) {
                            $out_stat .= $data_stat[$e] . ':||:';
                        }

                        $fp_send = fopen("temp/stat.tmp", "a+");
                        flock($fp_send, LOCK_EX);
                        ftruncate($fp_send, 0);
                        fputs($fp_send, $out_stat);
                        flock($fp_send, LOCK_UN);
                        fclose($fp_send);
                        chmod("temp/stat.tmp", 0666);

                        echo '<br/>Получено c процентов: ' . $pro_gold;
                    }
                }
            }

            echo '<br /><b>Операция:</b><br/>
<form action="index.php?act=operacia" method="post">
<input name="gold" /><br/><select name="oper">
<option value="1">Снять с счета</option><option value="2">Положить на счет</option>
</select><br/><input type="submit" value="Продолжить" /></form><hr/>';

            echo 'Минимальная сумма вклада или остатка счета равна ' . $moneys10 .
                '<br/>Максимальная сумма вклада равна 5млн.<br/><br/>Процентная ставка зависит от суммы вклада<br/>Вклад до 100тыс. - ставка 12%<br/>Вклад более 100тыс. - ставка 6%<br/>Вклад более 250тыс. - ставка 3%<br/>Вклад более 500тыс. - ставка 2%<br/>Вклад более 1млн. - ставка 1%<br/><br/>Всего вкладчиков: ' .
                $data_stat[0] . '
<br />Капитал банка: ' . $data_stat[1];
            echo '<br/><a href="../index.php">В раздел</a>';
            break;
    }

} else {
    echo functions::display_error("Игра доступна только для зарегистрированых пользователей сайта");
    echo '<a href="../?">В раздел</a>';
}

require_once ("../../incfiles/end.php");
?>